Package org.apache.wiki.api.exceptions

## Class PluginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.PluginException

All Implemented Interfaces:
  `java.io.Serializable`

    public class PluginException
    extends WikiException

Provides a generic PluginException. This is the kind of an exception that the plugins should throw.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PluginException​(java.lang.String message)` Create a PluginException.
`PluginException​(java.lang.String message, java.lang.Throwable original)` Create a PluginException with the given original exception wrapped.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getRootThrowable()` Return the original exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginException

    public PluginException​(java.lang.String message)

Create a PluginException.

Parameters:
  `message` - exception message.

#### PluginException

    public PluginException​(java.lang.String message,
                           java.lang.Throwable original)

Create a PluginException with the given original exception wrapped.

Parameters:
  `message` - exception message.
  `original` - The original exception.

### Method Detail

#### getRootThrowable

    public java.lang.Throwable getRootThrowable()

Return the original exception.

Returns:
  The original exception.